#ifndef _ratSource_h_
#define _ratSource_h_

#include "ygSoundServer.h"


class ratSource : public ygSoundServer
    {
    public:
     ratSource(const char*,bool master=true);
     virtual ~ratSource(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
     virtual void play(void);
     virtual void stop(bool sendStopCommand=true);
     virtual void setDistance(float);
     virtual void setAmplitude(float);
     virtual void setFalloffDistance(float);
     virtual void setAttenuation(int);
     virtual bool isPlaying(void);
      void setSource(const ygString&);
    private:
     struct _ratSourcePrivateData * p_;
    };

#endif
