#ifndef _ygObject_h_
#define _ygObject_h_

#include "ygString.h"
#include "ygMessage.h"
#include "ygGeometry.h"

class ygObject : public ygGeometry
    {
    public:
     ygObject(const char*,bool master=true);
     virtual ~ygObject(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     void loadFile(const ygString&);
     const ygString& filename(void) const;
    protected:
     virtual void createDebugNode(void);
    private:
     void createTransform(void);
     void setGeodeName(pfNode*);
     ygString filename_;
     ygNode* transform;
     pfNode* obj;
     bool cache, curCache;
    };


extern "C" ygNode* construct_ygObject(const char*,bool);

#endif
