#ifndef _pointNodeTrigger_h_
#define _pointNodeTrigger_h_

#include "ygNode.h"
#include <set>

using namespace std;

class pointNodeTrigger : public ygNode
    {
    public:
     pointNodeTrigger(const char* name,bool master=true);
     ~pointNodeTrigger(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
    private:
     bool pointingAtMe(const class ygWand*,const pfMatrix&,pfHit***) const;
     set<ygWand*> prevpointing;
     ygString detectType;
     int isectType;
     float distance;
     bool debugPointing;
     bool local;
    };


#endif
