#ifndef _wandPosition_h_
#define _wandPosition_h_

#include "ygSpace.h"
#include <vector>

using namespace std;

class wandPosition : public ygSpace
    {
    public:
     wandPosition(const char* name,bool master=true);
     ~wandPosition(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
    private:
     bool previouslyInside(const ygWand *w) const;
     vector<ygWand*> prevInside;
     vector<ygUser*> prevInsideUser;
     int lastFrame;
     bool local;
     bool debugInside;
    };


#endif
