#ifndef _interpolate_h_
#define _interpolate_h_

#include "value.h"

class interpolate : public value
    {
    public:
     interpolate(const char* name,bool master=true);
     ~interpolate(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
     inline void setInterpolate(float newValue,int element=0) {values[element] = startValues[element]+newValue*(endValues[element]-startValues[element]);};
    protected:
     virtual void setValueSize(int);
     std::vector<float> startValues;
     std::vector<float> endValues;
    };

#endif
